<?php

 // what 'languages' do we provide this feed in
 $knownLanugages					= array('json', 'xml');
 
 // inspect the url path to determine if a particular grammar has been requested
 $url								= explode("/", $_SERVER['REQUEST_URI']);
 if(isset($url[1]) && $url[1] != '' && in_array(strtolower($url[1]), $knownLanugages)) {
 	
 	// it's a known language so load the required clases
 	$class							= strtoupper($url[1]);
 	
 	// the filemaker API
 	require_once('assets/contrib/FileMaker13/FileMaker.php');
 	// the base class for all feed types
 	require_once('assets/UserFeed.php');
 	// the specific feed required for this type
 	require_once("assets/{$class}UserFeed.php");
 	
 	// instantiate the class, find the users, and send the response
 	$cls							= $class.'UserFeed';
 	$users							= new $cls($_POST);
 	$users->findUsers();
 	$users->getResponse();
 	
 } else {
 	
 	// best thing to do is to return an HTTP status code
 	header('HTTP/1.1 400 Bad Request', true, 400);
 }